cartesian=1;
meshdir='./meshcmA2/';
datadir=['./output_p1p1_A2_s1/';'./output_p1p1_A2_s6/';'./output_p1p1_A2_sa/'];
     % previously was s8
% Attention: shear might be negative (roundoff)

ytext=['2 km'];
            % shear^2=(Delta^2-div^2)*4    (4=e^2, e ellipticity) 
figure(10)


 fid=fopen([meshdir,'elem2d.out']);
 e2d=fscanf(fid,'%g',1);
 elem=fscanf(fid,'%g',[3,e2d]);
 fclose(fid);

 fid=fopen([meshdir,'nod2d.out']);
 n2d=fscanf(fid,'%g',1);
 nodes=fscanf(fid, '%g',[4 n2d]);
 xcoord=nodes(2,:);
 ycoord=nodes(3,:);
 nodind=nodes(4,:);
 clear nodes
 fclose(fid);
 fid=fopen([meshdir,'elem2d.out']);
 e2d=fscanf(fid, '%g',1);
 elem=fscanf(fid, '%g',[3, e2d]);
 fclose(fid);
 fid=fopen([meshdir,'edgenum.out']);
 ed2d=fscanf(fid,'%g',1);
 fclose(fid);

 fid=fopen([meshdir,'edges.out']);
 edge=fscanf(fid,'%g',[2,ed2d]);
 fclose(fid);
 fid=fopen([meshdir,'edge_tri.out']);
 etri=fscanf(fid,'%g',[2,ed2d]);
 fclose(fid); 
 % ==================
 % Change coordinates to km:
 % ==================
 xx=max(xcoord);
 xcoord=512*xcoord/xx;
 xx=max(ycoord);
 ycoord=512*ycoord/xx;
 % ===================
 xc=xcoord(elem);
 yc=ycoord(elem);
 % ---------------------------------------
 aa=[min(xcoord),max(xcoord),min(ycoord),max(ycoord)];  
 
 
 for nn=1:3, % Load data 

fid=fopen([datadir(nn,:),'a_ice.out']);
aice=fscanf(fid, '%g',[1 n2d]);
fclose(fid);

fid=fopen([datadir(nn,:),'div.out']);
di=fscanf(fid, '%g',[1 e2d]);
delta=fscanf(fid, '%g',[1 e2d]);
fclose(fid);

% Plot

hs=subplot(2,3,nn);
patch(xcoord(elem), ycoord(elem), aice(elem),'EdgeColor', 'None');
caxis([.75 1.0])
colormap(hs, bone);
cmap=colormap(hs); cmap=1.0-cmap;
if nn==1, title('S1'); end; 
if nn==2, title('S2'); end; 
if nn==3, title('S3'); end;
if nn==1, ylabel('aice'); end;
axis(aa);
if nn==3, colorbar; end 

hs3=subplot(2,3,nn+3);
if nn==1, ylabel('log_{10}(\Delta)'); end
patch(xcoord(elem), ycoord(elem), ...
	log10(delta),'EdgeColor', 'None');
    %log10(2*sqrt(delta.^2-di.^2)),'EdgeColor', 'None');
caxis([-8.0 -4.0])
colormap(hs3,cmap);
axis(aa);
if nn==3, colorbar; end

 end